Package com.ngrok.definitions

# Class EventTargetFirehose.Builder

java.lang.Object
com.ngrok.definitions.EventTargetFirehose.Builder

Enclosing class:
  EventTargetFirehose

public static class EventTargetFirehose.Builder extends Object
Builder class for `EventTargetFirehose`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EventTargetFirehose.Builder`
  `auth(AwsAuth auth)`
  Configuration for how to authenticate into your AWS account.
  `EventTargetFirehose.Builder`
  `auth(Optional<AwsAuth> auth)`
  Configuration for how to authenticate into your AWS account.
  `EventTargetFirehose`
  `build()`
  Constructs the `EventTargetFirehose` instance.
  `EventTargetFirehose.Builder`
  `deliveryStreamArn(String deliveryStreamArn)`
  An Amazon Resource Name specifying the Firehose delivery stream to deposit events into.
  `EventTargetFirehose.Builder`
  `deliveryStreamArn(Optional<String> deliveryStreamArn)`
  An Amazon Resource Name specifying the Firehose delivery stream to deposit events into.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### auth

    public EventTargetFirehose.Builder auth(AwsAuth auth)
    Configuration for how to authenticate into your AWS account. Exactly one of `role` or `creds` should be configured.
    Parameters:
      `auth` - the value of the `auth` parameter as a `AwsAuth`
    Returns:
      this builder instance

  - ### auth

    public EventTargetFirehose.Builder auth(Optional<AwsAuth> auth)
    Configuration for how to authenticate into your AWS account. Exactly one of `role` or `creds` should be configured.
    Parameters:
      `auth` - the value of the `auth` parameter as a `AwsAuth`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### deliveryStreamArn

    public EventTargetFirehose.Builder deliveryStreamArn(String deliveryStreamArn)
    An Amazon Resource Name specifying the Firehose delivery stream to deposit events into.
    Parameters:
      `deliveryStreamArn` - the value of the `delivery_stream_arn` parameter as a `String`
    Returns:
      this builder instance

  - ### deliveryStreamArn

    public EventTargetFirehose.Builder deliveryStreamArn(Optional<String> deliveryStreamArn)
    An Amazon Resource Name specifying the Firehose delivery stream to deposit events into.
    Parameters:
      `deliveryStreamArn` - the value of the `delivery_stream_arn` parameter as a `String`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### build

    public EventTargetFirehose build()
    Constructs the `EventTargetFirehose` instance.
    Returns:
      a new `EventTargetFirehose`